% Calibration 
% Plot Temperature
close all
clear all
data = xlsread('28.april\icewater.xlsx');
% Each column is one temperature measurement

% every measurement is the mean of n samples in front and end of the current time step
% smoothing
data2 = data;
n = 10;
for p = (n+1):1:(size(data,1)-(n+1))
    for q = 1:1:4
        sum = 0;
        for r = (p-n):1:(p+n)
            sum = sum + data(r,q);
        end
        data2(p,q) = sum/(2*n+1);
    end
end
data = data2(n+1:1:size(data2,1)-n-1,:);

x = data(:,5);


plot(x,data(:,1),x,data(:,2),x,data(:,3),x,data(:,4))
ylabel('Temperature [\circC]','fontsize',20)
xlabel('Time [s]','fontsize',20)
legend(['T1, average = ' num2str(mean(data(:,1))),' \circC'],['T2, average = ' num2str(mean(data(:,2))),' \circC'],['T3, average = ' num2str(mean(data(:,3))),' \circC'],['T4, average = ' num2str(mean(data(:,4))),' \circC'],'Location','SouthEast')
grid off