% Plot dT's
close all
data = xlsread('icewater.xlsx');
% Each column is one temperature measurement

% every measurement is the mean of n samples in front and end of the current time step
% smoothing
data2 = data;
n = 10;
for p = (n+1):1:(size(data,1)-(n+1))
    for q = 1:1:4
        sum = 0;
        for r = (p-n):1:(p+n)
            sum = sum + data(r,q);
        end
        data2(p,q) = sum/(2*n+1);
    end
end
data = data2(n+1:1:size(data2,1)-n-1,:);



x = 1:1:size(data,1);
% make average T and dT's
T_av = [];
dT = []; % dT = [1-2,1-3,1-4,2-3,2-4,3-4]
for i = 1:1:size(data,1)
    T_av(i) = (data(i,1)+data(i,2)+data(i,3)+data(i,4))/4;
    dT(i,1) = abs(data(i,1)-data(i,2));
    dT(i,2) = abs(data(i,1)-data(i,3));
    dT(i,3) = abs(data(i,1)-data(i,4));
    dT(i,4) = abs(data(i,2)-data(i,3));
    dT(i,5) = abs(data(i,2)-data(i,4));
    dT(i,6) = abs(data(i,3)-data(i,4)); 
end


%plot(x,dT(:,1),x,dT(:,2),x,dT(:,3),x,dT(:,4),x,dT(:,5),x,dT(:,6),'LineWidth',2)
%plotyy(x,dT,x,T_av)
[AX,H1,H2] = plotyy(x,dT,x,T_av,'plot');
set(get(AX(1),'Ylabel'),'String','dT','fontsize',20) 
set(get(AX(2),'Ylabel'),'String','Average Temperature','fontsize',20) 
title('')
%ylabel('dT','fontsize',20)
xlabel('time (s)','fontsize',20)
legend(['1-2, average =  ' num2str(mean(dT(:,1))) 'K'],['1-3, average =  ' num2str(mean(dT(:,2))) 'K'],['1-4, average =  ' num2str(mean(dT(:,3))) 'K'],['2-3, average =  ' num2str(mean(dT(:,4))) 'K'],['2-4, average =  ' num2str(mean(dT(:,5))) 'K'],['3-4, average =  ' num2str(mean(dT(:,6))) 'K'],'Average Temperature','Location','NorthWest')
