function E_st1 = uncertainty_cond(d_T,r,h,Q,dr,dT,dQ,dh)

% Nominal Value and Worst Case of Thermal Conductivity Measurement

% Input Values
% Temperature
% T = [2.041237 0.642065]; % [K]
% r = [8E-3 15E-3]; % [m]
% h = 0.1; % [m]
% 
% D = 0.0045; %inside diameter heater
% q_flux = 500;
% 
% A_s = D*pi*h;
% Q = q_flux*A_s;
% d_T = T(1)-T(2);
% % Uncertainities
% % dr = .0000;
% % dT = 0.0;
% % dQ = 0.0;
% % dh = 0.000;
% 
dr1 = dr;
dr2 = dr;
% 
% % Nominal Value
% k = -Q/(2*pi*h)*log(r(2)/r(1))/(T(2)-T(1));

% Partial Derivatives, absolute values:
dkdQ = log(r(2)/r(1))/(2*pi*h*d_T);
dkdr1 = Q/(2*pi*h*r(1)*d_T);
dkdr2 = Q/(2*pi*h*r(2)*d_T);
dkdd_T = Q*log(r(2)/r(1))/(2*pi*h*(d_T)^2);
dkdh = Q*log(r(2)/r(1))/(2*pi*h^2*d_T);

% 
E_st1 = sqrt((dkdQ*dQ)^2+(dkdr1*dr1)^2+(dkdr2*dr2)^2+(dkdd_T*dT)^2+(dkdh*dh)^2);


return