% Moody Chart
clc
close all

T_ex = 293;
T_in = 293;
d_gr = 1.5e-3;
phi = 0.76;
eps1 = 0.250;
eps2 = 0.476;
B = 1.8; %1.8 bodies smooth surface, 4.0 bodies rough surface
B_2 = 4;
L = 0.1;

d_el = phi*d_gr;
Re = 0:.001:1000;
lambda1 = 360*(1-eps1)^2./(eps1^3.*Re)+B*(1-eps1)/eps1^3;
lambda2 = 360*(1-eps2)^2./(eps2^3.*Re)+B*(1-eps2)/eps2^3;
lambda3 = 360*(1-eps1)^2./(eps1^3.*Re)+B_2*(1-eps1)/eps1^3;
lambda4 = 360*(1-eps2)^2./(eps2^3.*Re)+B_2*(1-eps2)/eps2^3;

T_m = (T_in+T_ex)/2;
delta_psi_t = 2*(T_ex-T_in)/T_m;


loglog(Re,lambda1,Re,lambda3,Re,lambda2,Re,lambda4,'LineWidth',2)
grid on
ylabel('\lambda','fontsize',20)
xlabel('Re','fontsize',20)
legend('\theta = 60\circ Smooth Surface' ,'\theta = 60\circ Rough Surface' ,'\theta = 90\circ Smooth Surface','\theta = 90\circ Rough Surface')