% Idelchik estimation
clc

w = 0.0133; % 
mu = 1.825E-5;%air 20degC
rho = 1.204;%air 20degC
L = 0.1; %[m]
D = 0.04; %[m]
d_gr = 1.5e-3;
phi = 0.76  ;
eps = 0.35;
B = 1.8; %1.8 bodies smooth surface, 4.0 bodies rough surface
g = 9.81; %[m/s^2]
T_in = 293; 
T_ex = 293;


d_el = phi*d_gr;
Re = w*d_el*rho/mu;
A1 = 360*(1-eps)^2/(eps^3*Re)
B1 = B*(1-eps)/eps^3
lambda = A1+B1;
T_m = (T_in+T_ex)/2;
delta_psi_t = 2*(T_ex-T_in)/T_m;

kappa = 2*d_el*mu/(lambda*rho*w);

kappa1 = inv(1/(w*mu)*(lambda*rho*w^2/(2*d_el)+delta_psi_t*rho*w^2/(2*L)));

Q = w*pi/4*D^2*60*1000; % [l/min]

Q_ = w*pi/4*D^2; % [m^3/s]
disp('Q [l/min]:')
disp(Q)
disp('Q [m^3/s]:')
disp(Q_)
disp('Re')
disp(Re)
disp('Permeability:')
disp(kappa)