close all
clc

d_gr = .9e-3;
phi = 0.76;
eps = 0.35;
d_el = phi*d_gr;

mu = 1.825E-5;%air 20degC
rho = 1.204;%air 20degC
L = 0.1; %[m]
D = 0.04; %[m]
B = 4; %1.8 bodies smooth surface, 4.0 bodies rough surface
g = 9.81; %[m/s^2]
T_in = 293; 
T_ex = 293;



perm = [];
Re = [];
i  = 1;
for w = 0:.0001:1
    perm(i,1) = idelchikperma(w,L,D,d_gr,phi,eps,B,T_in,T_ex,mu,rho);
    Re(i,1) = w*d_el*rho/mu;
    i = i + 1;
end

semilogx(Re,perm)
grid on
xlabel('Re','fontsize',20)
ylabel('\kappa','fontsize',20)
legend(['d_{gr} = ',num2str(d_gr),'m, \epsilon = ',num2str(eps),', \phi = ',num2str(phi),' , Smooth'],'Location','SouthOutside')