%Rotameter Flow limit calculation
clc
clear all 
close all
%Reference Case:
atm = 101325; % [Pa]
T_ref = 293; %[K]
P_ref = atm; %[Pa]
R = .287E3; %[J/(kgK)] air
Q_min_ref = 0.05; %[l/min]
Q_max_ref = 0.49; %[l/min]

rho_ref = P_ref/(R*T_ref);
C_min = Q_min_ref*sqrt(rho_ref);
C_max = Q_max_ref*sqrt(rho_ref);

rho_nc = atm/(R*273);
%Measured Pressure and Temperature:
T = 293; %[K]
P = 3*atm; %[Pa]

rho = P/(R*T);
Q_min = C_min/sqrt(rho);
Q_max = C_max/sqrt(rho);

disp('Minimum and Maximum Flow Rate:')
disp([Q_min,Q_max])
disp('l/min')
disp('')

Q_min_N = Q_min*rho/rho_nc;
Q_max_N = Q_max*rho/rho_nc;

disp([Q_min_N,Q_max_N])
disp('Nl/min')

m_min = Q_min*1e-3*rho*60;
m_max = Q_max*1e-3*rho*60;

disp('Minimum and Maximum Mass Flow Rate:')
disp([m_min,m_max])
disp('kg/min')
disp('')




